# Copyright 2014  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


from .version import __version__, __version_info__

from .structurederror import StructuredError
from .app import Distix
from .constants import tickets_dir_name, maildir_name
from .metadata import Metadata
from .metadata_serialiser import MetadataSerialiser
from .metadata_loader import MetadataLoader, CannotLoadMetadataError
from .metadata_saver import MetadataSaver, CannotSaveMetadataError
from .ticket import Ticket, TicketAlreadyHasId
from .ticket_loader import TicketLoader, CannotLoadTicketError
from .ticket_saver import (
    TicketSaver,
    TicketDirectoryExistsError,
    TicketDirectoryDoesNotExistError)
from .ticket_store import (
    TicketStore,
    TicketHasNoId,
    TicketAlreadyInStoreError,
    TicketNotInStoreError)
from .message_thread import MessageThread
from .message_renderer import MessageRenderer
from .repo import Repository
from .git import Git
from .msg_id_extractor import get_ids_from_message
from .text_renderer import TextRenderer
from .html_renderer import HtmlRenderer
from .util import get_ticket_ids


# Export only the explicitly imported symbols.
__all__ = locals()
